Version: 2025Q1-222
Date   : 02/18/2026

Added fix for inverting shim boundary directions correctly.

Corrected issue with the tab bolt holes where the circle for the bolt is smaller 
than the offset between the left and right side of the blade material.It was failing
silently it seems and then not producing the slots.

-------------------------------------------------------------------------------
Version: 2025Q1-221
Date   : 12/10/2025

Fix for errant clamp tower figure issue where it contained only one line versus 4.

Change to locateFont function - to correct placement on some blades.

Correction for tab size on clamp towers. If the minimum auto-scale width is not equal
to the general tab width (so smaller generally, e.g., 0.5") AND the clamp towers are less than
a given length (say 2" - so 2 is stated as the "Attempt Multiple Tabs on Blades Longer than"
value - Nucleo will simply create a single 0.5" foot on the clamp trower blade. If the blade is
longer than 2", it will autoscale to fit several, down to the minimum width set.

Correction to Shim Boundaries - couldn't be selected.

-------------------------------------------------------------------------------
Version: 2025Q1-220
Date   : 11/17/2025

Fix for errant clamp tower figure issue where it contained only one line versus 4.

Fix for chamfer issue when not setting a tab foot.

Fix for missing templates in rare circumstances

Fix for weight reduction calculation.

Fix for shim boundary thickness.

Fix for recursive copy for Clamp examples files.

-------------------------------------------------------------------------------
Version: 2025Q1-218
Date   : 09/08/2025

Added w_EtchDepth flag to nucleoSwitches.ini (Public Documents\Nucleo Fixture)
for a custom etch depth setting for a specific case use, such as 3D printing of blades.
Default is 0.1mm, entry is always metric in the INI file.

Added support for selecting figures/polylines for Top Plate Locator.

Fixed issue with existing Pin Sections causing the base plate to fail.

Corrected export of dimensioned DXFs for non-English languages.

Added code to check for grid arrays:
- If the user is using the default to duplicate the part using figures, it will check for existence of the same 
  and if it is missing, it will not duplicate each DXF accordingly.
- If the user chooses to duplicate solids and there is a number of repeats entered, Nucleo shows a message upon export.

Added Area and Perimeter text boxes to the DXF drawing templates - 
update Examples using the button in the Options dialog to apply to existing systems.
-------------------------------------------------------------------------------
Version: 2025Q1-217
Date   : 07/29/2025

Improved German Dialogs
Added code to check for export folders longer than 220 characters 
260 characters is the OS max - the other 40 characters are reserved to hopefully accommodate the CAD file name

-------------------------------------------------------------------------------
Version: 2025Q1-216
Date   : 06/24/2025

Code re-added to explode assemblies in the CAD import dialog (Nucleo).

Code changed to give fixture arrays the correct part count and length data, etc. in the report and CSV file.

-------------------------------------------------------------------------------
Version: 2025Q1-215
Date   : 05/07/2025

Used DeepL translation for German messages. Need human review.

-------------------------------------------------------------------------------
Version: 2025Q1-214
Date   : 04/15/2025

Fix for Parasolid export issue.

-------------------------------------------------------------------------------
Version: 2025Q1-214
Date   : 04/01/2025

Assembly code added (not complete)

-------------------------------------------------------------------------------
Version: 2025Q1-213
Date   : 03/12/2025

Work started on ASM export.
Fixed issue with stripping Nucleo attributes upon importing a VDM.
Fixed issue saving VDM files to the Examples folder (it was deleting them).

-------------------------------------------------------------------------------
Version: 2025Q1-212
Date   : 02/24/2025

First release of Nucleo V2025

-------------------------------------------------------------------------------
Version: 2024Q1-211
Date   : 11/21/2024

Added new option to check for slot overlap if Y-direction slots are included.
-------------------------------------------------------------------------------

Version: 2024Q1-210
Date   : 11/14/2024

Added option to check security backup interval and ask user if they want it set to the default (10 minutes).

Added code to exclude the DXF full file path from the CSV based on user preference.

An errant really short blade line was present and caused the point scan - for some reason -
to mess up. This made an invalid point with an uncommon Z at the end of the group. This
check is done now if the "Exhaustive" option is set on the Geometry page.

In addition to the option just above, a new entry is included in the "Options"
dialog to remove blade lines shorter than "x". This should help clean up any 
errant blade lines. Set to 0 to ignore this check.

Fix for Clamp Top Plate - it was  being made to fit the main blade material 
thickness setting versus the discreet clamp tower blade thickness.

Clamp Tower font placement on base improved. In the case of non-captive nut fixtures,
the font is up by 25% of the blade thickness to be further away from the base plate slots.

-------------------------------------------------------------------------------
Version: 2024Q1-209
Date   : 09/17/2024

Added code to check for upper-case layer names

-------------------------------------------------------------------------------
Version: 2024Q1-208
Date   : 08/07/2024

Added option to create Parasolid of the fixture when individual solids are created for 
each fixture component (so there is one X_T file for all items and individual ones
also when the appropriate options are checked).

When using a user-sketch for a base plate, a warning is added for the bolt hole
placement *if* the style *is not* "Use User-defined Bolt Hole Locations". The message
is similar to this in the build report:
   ( BASE_PLATE [9] ): WARNING: The Base plate type is a user-defined sketch and the Bolt Hole pattern style is invalid.
   ( BASE_PLATE [9] ): The Base Plate Bolt Hole pattern is not the User-defined Bolt Hole Location style (the only valid selection in this situation).
   ( BASE_PLATE [9] ): Check the "Use User-defined Bolt Hole Locations" box and add the necessary coordinate locations for the bolt holes.
   ( BASE_PLATE [9] ): Alternatively, draw the necessary geometry (normally arcs) directly into the sketch.

-------------------------------------------------------------------------------

Version: 2024Q1-207
Date   : 08/05/2024

Added option to mirror and delete blade lines.

Saved state of last used blade manipulation method as default.

Fixed issue with weld table being moved to the wrong layer upon Part Locate function.

-------------------------------------------------------------------------------
Version: 2024Q1-206
Date   : 07/30/2024

Fix for window not being active on file->new

Various fixes for small items. Fix for non-planar arc on user base plate 
- was causing user features to not be created.

Corrected missing XY parameters from created locking slot macro.

Increated Weld-plate default thickness to allow for easer extension 
- the end face is easier to pick.

Fix for invalid right-adjusted geometry in a rare instance.

Removed the "convert from legacy" line prompt on opening VDM.

For base plates - added warning about any missing features in user-plates 
and a warning if the annotation is off for the base plate blade references.

-------------------------------------------------------------------------------
Version: 2024Q1-205
Date   : 07/09/2024

Added Modify Face option to Boundary Dialog

-------------------------------------------------------------------------------
Version: 2024Q1-204
Date   : 07/08/2024

Improvements to the translate part model options.

-------------------------------------------------------------------------------
Version: 2024Q1-205
Date   : 07/08/2024

Blades were being considered part of the extents when centering the fixed 

size option baseplate, making the hole pitch wrong when using user-defined bolt holes.

-------------------------------------------------------------------------------
Version: 2024Q1-204
Date   : 06/27/2024

Added option to repeat copy/translate of blade lines.
Added "Purge any existing files/folders upon Export" option.

-------------------------------------------------------------------------------
Version: 2024Q1-203
Date   : 05/28/2024

Added dialog changes for initial Spanish translation

-------------------------------------------------------------------------------
Version: 2024Q1-202
Date   : 05/16/2024

Correction to base plate calculation when adding clamps and adding additional extension

-------------------------------------------------------------------------------
Version: 2024Q1-201
Date   : 05/01/2024

Added option to use copies of slelected boundaries for Free-form transformations.

-------------------------------------------------------------------------------
Version: 2024Q1-201
Date   : 05/01/2024

Added concentric cut-out option to 2D Circular boundary option

-------------------------------------------------------------------------------
Version: 2024Q1-201
Date   : 04/18/2024

Added Locator Plate to Exports, added Locator Plate Orientation Symbol option.

-------------------------------------------------------------------------------
Version: 2024Q1-201
Date   : 04/17/2024

Weght reduction (beta) added to Top Locator Plate 

-------------------------------------------------------------------------------
Version: 2024Q1-201
Date   : 04/17/2024

Correction for Exhaustive Test - group was being incorrectly formed.

-------------------------------------------------------------------------------
Version: 2024Q1-200
Date   : 04/12/2024

Checks for Python

-------------------------------------------------------------------------------
Version: 2024Q1-200
Date   : 04/10/2024

Added Top Locator Plate option and changed the ribbon a little.

-------------------------------------------------------------------------------
Version: 2024Q1-199
Date   : 04/04/2024

Initial Spanish translations and shortcut options.

-------------------------------------------------------------------------------
Version: 2024Q1-198
Date   : 03/18/2024

Code added to manage issue with point cloud at X0 Y0 when using exhaustive mode.

-------------------------------------------------------------------------------
Version: 2024Q1-197
Date   : 03/13/2024

Fix for bridged aperture issue.

-------------------------------------------------------------------------------
Version: 2024Q1-196
Date   : 02/28/2024

Improved logic for placing fonts blades. It now checks 
the size of each blade and as needed, changes the step value to 1 if 
font size is > 10% of the blade length. This happens for all blades 
including clamp ones.

Fixed issue with fonts being removed from the base plate when their area
was incorrectly reported when using a user-defined base plate.

-------------------------------------------------------------------------------
Version: 2024Q1-196
Date   : 02/27/2024

Fixes to certain condition where the point cloud was bad.

Font placement on base plate for clamp towers improved.

Export of DXF for edited base plate corrected to show weight estimate.

Added section defaults button on line edit dialog for the scan settings.

-------------------------------------------------------------------------------
Version: 2024Q1-195
Date   : 02/20/2024

Added clean up function

-------------------------------------------------------------------------------
Version: 2024Q1-195
Date   : 02/13/2024

Added fractional values to material list.

-------------------------------------------------------------------------------
Version: 2024Q1-195
Date   : 02/08/2024

Symbolic Labelling Option added

-------------------------------------------------------------------------------
Version: 2024Q1-194
Date   : 02/05/2024

Improvement to Copy Line function

-------------------------------------------------------------------------------
Version: 2024Q1-194
Date   : 02/05/2024

Fix for long/tardy material message

-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
--- Nucleo Release Notes and Change Log (C) Camtek Software 2023 and later  ---
-------------------------------------------------------------------------------

Version: 2024Q1-194
Date   : 01/10/2024

Report file for fixture parts now contains the words "Cut List" for easier understanding.
Added warning regarding small fonts and possible CRC issues when machining.

-------------------------------------------------------------------------------
Version: 2023Q3-193
Date   : 01/09/2024

Added option to check suitabilty of blade geometry for newer algorithm.

-------------------------------------------------------------------------------
Version: 2023Q3-191
Date   : 12/13/2023

Added code to deal with rotated 90 degree tab labels. 

-------------------------------------------------------------------------------
Version: 2023Q3-190
Date   : 12/12/2023

Added code for an additional algorithm mode

-------------------------------------------------------------------------------
Version: 2023Q3-189
Date   : 12/11/2023

Added option to make a section a set length

-------------------------------------------------------------------------------
Version: 2023Q3-189
Date   : 12/07/2023

Added option to check sheet size maximum or machining limits.

-------------------------------------------------------------------------------
Version: 2023Q3-189
Date   : 12/07/2023

Correction to bolt hole placement on fixed-sized base plates.

-------------------------------------------------------------------------------
Version: 2023Q3-189
Date   : 12/07/2023

Added code to allow for set interlock slot Z height or percentage.
Check for failed blade in a specific instance. 
Added video card details to the log
-------------------------------------------------------------------------------
Version: 2023Q3-188
Date   : 10/31/2023

Fix for figures not removing overlapping spans for refinement check (should speed some things up).

Fix for failing on Y direction slots at X0 Y0 when overlapping with a X direction slot at that location. 
I think this just looks for duplicates in the same direction (intended) but should also
consider angle, hence w1215 Z rotation check

-------------------------------------------------------------------------------
Version: 2023Q1-186
Date   : 10/17/2023

Additional Trim added for a second attempt if a blade fails.

-------------------------------------------------------------------------------
Version: 2023Q1-186
Date   : 09/19/2023

Added code to manage Minimum Allowable CNC Line/Arc Length value per blade.

-------------------------------------------------------------------------------
Version: 2023Q1-186
Date   : 09/18/2023

Option to log ammendments and time

-------------------------------------------------------------------------------
Version: 2023Q1-185
Date   : 09/05/2023

-------------------------------------------------------------------------------
Version: 2023Q1-185
Date   : 09/05/2023

Remove small element "merge" mode added.

-------------------------------------------------------------------------------

Version: 2023Q1-184
Date   : 19/07/2023

NV1-T130    Correct issue with grouped DXF files where the DXF's have overlapping data.

-------------------------------------------------------------------------------

Version: 2023Q1-182
Date   : 04/26/2023

NV1-T122    Add option for post-DXF output modification at a customer level. Done
NV1-T120    Saving Default Annotation Naming - text added is not saved to a text
            file for reuse as needed.
NV1-T118    Weight Reduction on Baseplate is changing Bolt Hole pattern - fixed.
NV1-T117    Add option to scale dimensions on DXF print upon Export - done.
NV1-T116    Corner Notching not correct on some blades. Fixed.
NV1-T104    Rotating existing Fixture with Clamps around X or Y Axis
            issues. Corrected.
NV1-T115    Clamp Dialog does not return after leaving Clamp Adjust 
            Dialog - fixed.
NV1-T114    Clamp Tower default offsets can be zero - corrected.
NV1-T110    Check out why this does not direct edit (Base plate). Fixed -
            related to user base plate.
NV1-T105    Disable tab impingements if blade direction NOT reversed
            AND using captive nuts. Coded.
NV1-T109    Hide Boundaries on Clamp Insertion fails - fixed.
NV1-T111    Removed/clean up some older options in the Clamp Dialog. Done
NV1-T106    Add option to place regular tabbed feet with locking nut on 
            green blades IF u/n's are NOT reversed. Coded.
NV1-T112    Add drop-list for captive nut alternate configurations - done.
NV1-T113    Add warning to log if base plate fails - complete.
NV1-T98     Improve Offset Boundary method - done.
NV1-T94     Fastener Settings not Retained between Open/Closing 
            of Dialog. Fixed.
NV1-T93     Fastener Defaults for 1/4" Nut/Metric equiv. Done
NV1-T101    Cannot Edit Mirrored Blade Lines - fixed.
NV1-T44     Looping on specific fixture blade - fixed.
NV1-T50     Code improvements for V2022+ algorithm - done
NV1-T51     Test example to see why Arc Limiting is not working 
            correctly - completed.
NV1-T53     Test the Algorithm option for V2022+ and Arc Limiting 
            works as intended on Line Edit options - done.
NV1-T59     User base plate with Grid Array does not quite fit correctly.
            Fixed.
NV1-T63     Improve Aperture Code (Help Desk #8387). Done.
NV1-T65     Issue with Figure Editing on blade - features ignored. Fixed.
NV1-T69     Add additional font style. Done
NV1-T70     Consider adding option to place user text. Implemented.
NV1-T72     Captive Nut for blades in centre of tab foot. Added.
NV1-T67     User Base Plate does not center on parts when not at X0Y0.
            Option added to centre or not on Base Plate Wizard page.
NV1-T74     Add option to shift clamp tower text Z+ if fastener slot is 
            present. The label can get otherwise annihilated. Fixed.
NV1-T75     Rework the text on the Merge Pre-Drawn lines needs to be 
            put on the PreDrawnUserBaseplate Layer - done.
NV1-T76     Add Captive Nut for top plates of clamp towers - done.
NV1-T78     Add save clamp to X_T in the Adjust dialog - completed.
NV1-T77     Correct issue not auto-recreating the clamp boundary 
            after clamp rotation. Done.
NV1-T79     Add option to recall last-used clamp folder locations. Completed.
NV1-T80     Add option to include bolt hole cylinders for specific 
            clamps. Coded/Completed.
NV1-T81     Add option to remember last transformation type for 
            Adjust Clamp dialog - done.
NV1-T82     Clamp Tower Tabs are not adjusting in Baseplate. Fixed.
NV1-T83     Deactivating Blades still builds blades in background when 
            only building clamp towers. Prompt added. Done.
NV1-T85     Additional Labels does not work 1st time through wizard. Fixed.
NV1-T84     Mirroring Lines in Wizard Dialog does not give unique naming.
            False bug report - it is OK.
NV1-T87     Custom Baseplate does not match 2D Drawn lines.  
            Option added to Base Plate Wizard page to centre or not.
NV1-T88     Add "Prepare" Clamp option to Clamp dialog. Done.
NV1-T89     Update 1s Page of Wizard Dialog to Match Boundary and 
            Line Movement options. "Jog" buttons added. Done.
NV1-T90     Do not show Adjust/Prepare Clamp dialog if the selection 
            of solids is canceled. Done.
NV1-T54     Check the blade override parameter for Min Angle to Determine 
            Corner Intersection is not staying modal - fixed.
NV1-T64     Add warning when "create vertical bridges" is unchecked on base 
            weight reduction AND green blades have tabs set. 
            This will override the status of that checkbox. Done.
NV1-T46     Issue with apertures not being added. Fixed.
NV1-T48     Test new option for "Show graphical progress during build 
            process" in Options - completed.
NV1-T43     Slot Logic not adding clearance - corrected.
NV1-T60     Add option to reserialise clamp bodies and pivots etc. Done.
NV1-T62     Create Lines - Fit to Extents of Selected Solids 
            (Using Parameters A-F) - done.
NV1-T61     Option to create pivot and vector bodies for clamps 
            (if missing or not associated) - added.
NV1-T57     User sized baseplate - if X120 and Y0 does it compute the Y?
            It does now - coded/tested.
NV1-T56     Check weight of fixture - confirmed correct.
NV1-T49     Code to speed up bolt-hole creation - done.
NV1-T58     Add No Base plate option on main wizard page for base plates. Done
NV1-T73     Solidworks 2023 files do not import into V2023 Nucleo. Corrected by
            installing later version of SOLIDCUT CAD 2023 from January 2023.

-------------------------------------------------------------------------------

Version: 2023Q1-174
Date   : 12/02/2022

NV1-T48     New option for "Show graphical progress during build process" in Nucleo 
            Options dialog added. Default is to limit Grahpics update.
NV1-T41     Add Nucleo Install to V2023 SOLIDCUT Build, update website and 
            spash bitmap - complete.
NV1-T43     Slot Logic not adding clearance - fixed.
NV1-T44     Looping on specific fixture blade - fixed.
NV1-T42     Issue with DXF files not being exported on certain documents - fixed.
NV1-T40     Add Base plate solid name to main area of annotation dialog - done.
NV1-T37     Consider "i" (info) Icons on dialog for tooltips - added.
NV1-T31     Change spheres to cuboids in clamp models - complete.
NV1-T32     Remake clamp models - complete.
NV1-T26     Corrections to fxLocateFont. On some parts, there was considerable
            wasted looping whilst checking for possible positions - now corrected.
NV1-T35     Additional shortcuts to Annotation and Geometry options
            added to menu ribbon.
NV1-T3      Ability to Insert 1 fixture design into a current design - added
            via Import CAD dialog on ribbon.
NV1-T20     Check fix for boundary stack full error - fixed.
NV1-T10     Add prompt to ask if split line is OK when splitting lines - done.
NV1-T15     An issue with building blade (top centre, +Y) - fixed.
NV1-T27     Screenshots in Perspective View are not fit to the screen 
            correctly - fixed.
NV1-T25     Boundary Move is Double the Value entered - fixed.
NV1-T33     Clamp bodies/plates correctly stripped of internal attributes 
            if set as Imported_Part.
NV1-T9      Issue occurred with a VDM whereby the figure name had a space 
            in it - as in 0 0 v. 0,0. 
            Added prompt on "Reassign Blade Lines Colours" 
            (now renamed "Redefine Blade Lines") that asks if the attributes 
            need striping or not. If yes, this is fixed.
NV1-T6      Long Export Times - fixed.
NV1-T19     Changes to imported Assemblies.
NV1-T21     Preview/Replace blade improvements.
NV1-T14     Blade Inside Radius Not Correct - fixed.
NV1-T23     Close Wizard Dialogs when Sub Dialogs are open - fixed.
            When Adjusting a Clamp the Wizard Dialog remains on 
            the screen in the background and is in the way of the view.
NV1-T12     Set new slot logic active - complete.
NV1-T13     Jigsaw issues with Offset Fixture Bases - fixed.
NV1-T29     Add blade End option for line edit dialog - complete.
NV1-T28     Blade Tabbing Issue - warning added if only one can be placed 
            and points user to the option where this can be adjusted
            - "Attempt Multiple Tabs on Blades Longer than".
NV1-T24     Pin Towers Broken B172 - fixed.
NV1-T5      Clamp Tower Tabs not matching baseplate - min width was
            larger than the default width. Corrected.
NV1-T8      Added an option on line edit override dialog for 
            Overlap/Joining Tolerance.
NV1-T7      Corrections and improvements to single-blade preview/replace.          
NV1-T36     Major Framework added for future web XML operation and 
            multi-instance use (Nucleo Pro+ V202x release candidate).

-------------------------------------------------------------------------------

Version: 2022Q1-165
Date   : 10/11/2022

Fix for offset base plate jigsaw function.

Fix for split with a line on certain fixture line sets.

Fix for figure clean issue in fxRefinePointCloud2022 with fxCleanFig (reference Terrence Southern-asSTMC_copy_000.vdm, JJ). Simple blade not being created.

Corrected Jigsaw for large base plate issue.

Fix for translating Clamp Boundaries (they were getting deleted).

Fix for Grid Array.

Fix for missing variable $_FX_FIGURE_BITS_TEMPLATE when creating grid of lines.

Fix for duplicated annotation when used with "Do Not Include in Solid Body Name" option checked.

Fix for split with a line for blade line positions (was getting a VDM report).

Correction to new blade interlock slot logic (option).

Modifications to fxReduceGeometry2015, reference part "eh4...", change to logic for correcting kurve offset 
(was using w_FORSPN v. i_FORSPN and always erroring (bug hidden due to error supression)). 
Sometimes the kurve was CW versus CCW, and the one topmost blade (a simple rectangle) failed KMD offset making a huge shape. 
Now checks for area and periphery to ensure the result is reasonable.

-------------------------------------------------------------------------------

Version: 2022Q1-164
Date   : 08/01/2022

Added code to remove (purge) empty layers upon DXF export and to also check for periods in the layer names (Invalid in some CAD systems). 

Changed import dialog code so that periods are removed from the layer names when solids are imported.

Fix for Move >> snap missing.

Fix for grid of blade lines when using baseplate template.

-------------------------------------------------------------------------------

Version: 2022Q1-163
Date   : 06/15/2022

Various small fixes.

Version: 2022Q1-162
Date   : 05/09/2022

Fix for line edit dialog issue.

Fix for rotated blade text not rotating.

Foundation work for Create Section dialog changes - in later releases it will be possible to draw a 2D XY user-sketch to use as a 
section for subtraction from a series of blades.

Multi-part import now places the part solids per file onto a layer named the same as the CAD file.

Fix for pin towers not creating properly.

Fix for CAD Export Inhibit for bit 26 on option 56.

-------------------------------------------------------------------------------

Version: 2022Q1-161
Date   : 04/01/2022

Fix for Clamp Tower build issue.

-------------------------------------------------------------------------------

Version: 2022Q1-161
Date   : 03/06/2022

Multi-instance work started.

Introduction of improved blade activation/deactivation. When deactivated, the original intersections with the deactivated blades are now 
incorporated into the active, intersecting blades "as if" they are there to work with. This work is a prerequisite for further multi-instance development.
Likewise, with this new functionality, the weight reduction is also computed to make apertures where a deactivated blade intersects.

Improved log reporting - the blades are not referred to by their blade line figure names.

CSV format added for DXF Exports.

-------------------------------------------------------------------------------

Version: 2022Q1-160
Date   : 02/25/2022

Introduction of Nucleo V2022+ Alternate Algorithm.

Improved management of @@Decativate blade position figures.

New Blade Properties functionality added - it is now possible to set discreet settings per-blade.

Standard Version relabeled as Pro, Pro+ version reserved for multi-instance processing development.

Non-standard Blade Thickness dialog warning moved to log only.

User-defined base plate DXF with merge lines/arc improved - if "No Template" is selected, the checkbox to "Use/Create Sketch" when checked means the 
sketch will be used exclusively. If the sketch is meant to be applied to a automatically-created base plate (the normal method), it should be unchecked 
and the "Merge Pre-drawn Lines/Arc” option checked. Refer to the tooltips for these two check box options.

Annotation option "Rotate Blade Text Vertically 90°" added. This is useful if the blade text is overridden by the Blade Properties function to 
accommodate longer blade text.

Greatly improved importation of solid weld table models.

Version check option included so that should an older version of Nucleo be executed, a reminder is shown on a daily or weekly basis that a newer 
version is also installed. The versions have their own launch shortcut icons.

Migration of system settings included in the "Options" dialog and off the "End User License Agreement" dialog that is shown each time a new version 
is installed. This allows the default settings from older cores of Nucleo to be cloned (from V8.x etc. to SolidCut CAD V2xxx).

Reset defaults corrected on first page of Wizard (so to reset options such as transformation values to zero etc.)

It is now possbile to include the thickness of the fixture parts in the name of the solid bodies created by Nucleo.
To activate this, go to the "Fixture Annotation Parameters" page in the Nucleo editor, then click "Toggle Advanced Settings..."
In the "Description" edit boxes for the Base Plate and Blades - where %s is shown - add %t where you want the thickness to be shown in the solid name.

-------------------------------------------------------------------------------

Version: 2022Q1-159
Date   : 02/04/2022

Fix for issue with correcting arcs in certain geometric situations (fxCheckDumbness). Ref VDM: E7509 Rev G Step Blade #5 issue

-------------------------------------------------------------------------------

Version: 2022Q1-159
Date   : 02/04/2022

Fix for update check - now downloads and processes fixture_64.var, removes a potential issue when running both V2022 and V8.2 on the same PC.

-------------------------------------------------------------------------------

Version: 2022Q1-158
Date   : 01/29/2022

New algorithm for projecting pins. This is activated by the "Switches" file but will become the default method by March 1st automatically (the code checks the date).

Additional offset is applied to clamp tower annotation on the base plate, either +Y or -X depending on blade direction. The offset is 2 x the dog ear corner 
relief or if it is zero, 2.5mm. This should help with avoiding text and slots overlapping and creating combined geometry on the base plate.

Version check added to prompt user if they are possibly using an older version than is actually installed.

-------------------------------------------------------------------------------

Version: 2022Q1-157
Date   : 01/27/2022

Added button to blade position dialog (wizard page) to take the blade thickness entered from 2nd Wizard page as working blade thickness if desired. 
Also propogated to the "Add Lines" sub dialog.

Fixed issue with blade line figures omitting colour information when split/copied etc.

-------------------------------------------------------------------------------

Version: 2022Q1-156
Date   : 01/19/2022

Modification to check for erroneous path to Program Files versus the User Public folder for the generation of python scripts.

Warning for parts below Z0 now changed to confirmation yesno dialog so that parts can be located below Z0 (in rare instances this is needed).

-------------------------------------------------------------------------------

Version: 2022Q1-155
Date   : 01/18/2022

Code added to list release notes/change log entries, these are now viewable using the Options dialog - a new button is added.

Various build-automation options added.

-------------------------------------------------------------------------------


